ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-21451) Expected Values Like original_stack Are Missing On Downgrades
Date Wed, 12 Jul 2017 19:35:00 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-21451?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16084553#comment-16084553
] 

Hudson commented on AMBARI-21451:
---------------------------------

SUCCESS: Integrated in Jenkins build Ambari-branch-2.5 #1672 (See [https://builds.apache.org/job/Ambari-branch-2.5/1672/])
AMBARI-21451 - Expected Values Like original_stack Are Missing On (jhurley: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=a6ac40bc07e4c0bec207d0786e4e870a6fe194f2])
* (edit) ambari-server/src/test/java/org/apache/ambari/server/serveraction/upgrades/ComponentVersionCheckActionTest.java
* (edit) ambari-server/src/test/python/custom_actions/test_ru_set_all.py
* (edit) ambari-server/src/test/java/org/apache/ambari/server/serveraction/upgrades/UpgradeUserKerberosDescriptorTest.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/agent/ExecutionCommand.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/serveraction/upgrades/UpgradeUserKerberosDescriptor.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/state/UpgradeContext.java
* (edit) ambari-server/src/main/resources/common-services/SPARK/1.2.1/package/scripts/params.py
* (edit) ambari-server/src/test/python/stacks/2.0.6/configs/nn_eu_standby.json
* (edit) ambari-server/src/main/resources/common-services/SPARK/1.2.1/package/scripts/spark_service.py
* (edit) ambari-server/src/main/java/org/apache/ambari/server/controller/ActionExecutionContext.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/serveraction/upgrades/FinalizeUpgradeAction.java
* (edit) ambari-server/src/test/python/stacks/2.0.6/configs/nn_eu.json
* (edit) ambari-server/src/main/java/org/apache/ambari/server/actionmanager/ExecutionCommandWrapper.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/controller/internal/ClusterStackVersionResourceProvider.java
* (edit) ambari-server/src/test/java/org/apache/ambari/server/serveraction/upgrades/UpgradeActionTest.java
* (edit) ambari-server/src/test/python/stacks/2.2/configs/knox_upgrade.json
* (edit) ambari-common/src/main/python/resource_management/libraries/functions/stack_features.py
* (edit) ambari-server/src/main/resources/common-services/SPARK/1.2.1/package/scripts/setup_spark.py
* (edit) ambari-server/src/main/java/org/apache/ambari/server/controller/AmbariActionExecutionHelper.java
* (edit) ambari-server/src/main/java/org/apache/ambari/server/controller/internal/UpgradeResourceProvider.java
* (edit) ambari-server/src/test/python/TestStackFeature.py
* (edit) ambari-server/src/test/python/stacks/2.1/configs/hive-metastore-upgrade.json


> Expected Values Like original_stack Are Missing On Downgrades
> -------------------------------------------------------------
>
>                 Key: AMBARI-21451
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21451
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.5.2
>            Reporter: Vivek Sharma
>            Assignee: Jonathan Hurley
>            Priority: Blocker
>              Labels: express_upgrade
>             Fix For: 2.5.2
>
>         Attachments: AMBARI-21451.patch
>
>
> *STR*
> # Deployed cluster with Ambari version: 2.4.3.0-30 and HDP version: 2.5.5.0-157
> # Upgrade Ambari to 2.5.2.0-114 | hash: d2ee45733e0c63d589f535866e6584b42d91126e
> # Start EU to 2.6.2.0-79 and reach till Finalize
> # Downgrade back to 2.5
> *Result*
> Observed errors at Livy and Spark client restarts:
> {code}
> Traceback (most recent call last):
>   File "/var/lib/ambari-agent/cache/common-services/SPARK/1.2.1/package/scripts/spark_client.py",
line 88, in <module>
>     SparkClient().execute()
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 329, in execute
>     method(env)
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 806, in restart
>     self.pre_upgrade_restart(env, upgrade_type=upgrade_type)
>   File "/var/lib/ambari-agent/cache/common-services/SPARK/1.2.1/package/scripts/spark_client.py",
line 79, in pre_upgrade_restart
>     import params
>   File "/var/lib/ambari-agent/cache/common-services/SPARK/1.2.1/package/scripts/params.py",
line 62, in <module>
>     stack_version_unformatted = config['commandParams']['original_stack'].split("-")[1]
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/config_dictionary.py",
line 73, in __getattr__
>     raise Fail("Configuration parameter '" + self.name + "' was not found in configurations
dictionary!")
> resource_management.core.exceptions.Fail: Configuration parameter 'original_stack' was
not found in configurations dictionary!
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message